﻿@model List<PurchaseRequestView>

@{
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    //bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}


<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@PurchaseRequest.PRL</h3>
    </div>
   
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseRequest.Requester</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseRequest.RD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (PurchaseRequestView item in Model)
                        {
                            <tr>
                                <td>@item.DocNum</td>
                                <td>@((item.DocDate != null && item.DocDate != DateTime.MinValue) ? item.DocDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>@item.Requester</td>
                                <td>@item.Comments</td>
                                <td>@((item.ReqDate != null && item.ReqDate != DateTime.MinValue) ? item.ReqDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                <td>
                                    @switch (item.DocStatus)
                                    {
                                        case "C":
                                            @PurchaseOrders.Closed;
                                            break;
                                        case "O":
                                            @PurchaseOrders.Open;
                                            break;
                                    }
                                </td>                              
                                <td>
                                    @if (_View)
                                    {  <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "View", @IdPR = item.DocEntry, @fromController = "PurchaseRequest" })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                    </a>}

                                    @if (_Update)
                                    {
                                        if (item.DocStatus != "C")
                                        {
                                            <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Update", @IdPR = item.DocEntry, @fromController = "PurchaseRequest" })' class="btn btn-primary btn-xs">
                                                <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PurchaseOrders.Edit
                                            </a>
                                        }
                                    }
                                </td>
                            </tr>
                        }

                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseRequest.Requester</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseRequest.RD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="8">@PurchaseOrders.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

@if (_Add)
{
    <div class="col-md-2 pull-right">
        <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Add", @IdPR = 0, @fromController = "PurchaseRequest" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@PurchaseRequest.NPR
        </a>
    </div>
}
